from django.urls import path

from core.views.amc_services import AMCServiceStatus, AMCServiceReboot
from core.views.view_settings import AuthSettingsAPIView, TLSSettingsAPIView

urlpatterns = [
    path('settings/auth/', AuthSettingsAPIView.as_view()),
    path('settings/tls/', TLSSettingsAPIView.as_view(), name='tls-settings'),
    path('services/status/<str:service_name>/', AMCServiceStatus.as_view(), name='amc-status'),
    path('services/reboot/<str:service_name>/', AMCServiceReboot.as_view(), name='amc-reboot'),
]
